<script>
import MainDialog from "@/components/dialog/MainDialog.vue";
import Select from "@/components/Select.vue";

export default {
  name: "Application",
  components: {Select, MainDialog},
  data() {
    return {
      appState: false,
      storageState: false,
      safetyState: false,
      permissionState: false,
      selfState: false,
      accessibiState: false,
      notifyState: false,
    }
  }
}
</script>

<template>
  <div class="custom-body">
    <div class="card-body">
      <div class="card-group">
        <u-card left-text="应用" is-arrow @onClick="appState = true" />
        <u-card left-text="存储" is-arrow @onClick="storageState = true" />
        <u-card left-text="安全" is-arrow @onClick="safetyState = true" />
        <u-card left-text="权限" is-arrow @onClick="permissionState = true" />
      </div>
      <div class="card-group">
        <u-card left-text="辅助功能" is-arrow @onClick="accessibiState = true" />
        <u-card left-text="禁止自启动" is-arrow @onClick="selfState = true" />
        <u-card left-text="通知" is-arrow @onClick="notifyState = true" />
      </div>
    </div>

    <img
      src="../../assets/images/setting/app/img.webp"
      alt=""
      class="img-signal"
    />
    
    <MainDialog
      @close="e => appState = e"
      :dialogVisible="appState"
      @changeVisble="e => appState = e"
      title="应用"
      is-close
      class="app-dialog"
      :width="909"
    >
      <template #content>
        <img src="../../assets/images/setting/app/img_1.webp" alt="" />
      </template>
    </MainDialog>

    <MainDialog
      @close="e => storageState = e"
      :dialogVisible="storageState"
      @changeVisble="e => storageState = e"
      title="存储"
      is-close
      class="app-dialog"
      :width="909"
    >
      <template #content>
        <img src="../../assets/images/setting/app/img_2.webp" alt="" />
      </template>
    </MainDialog>

    <MainDialog
      :dialogVisible="safetyState"
      title="安全"
      is-close
      class="safety-dialog"
      :width="909"
      @close="e => safetyState = e"
      @changeVisble="e => safetyState = e"
    >
      <template #content>
        <div class="flex flex-jcs flex-center w-full temp">
          <span>显示安全</span>
          <u-switch value="value" />
        </div>
        <div class="flex flex-jcs flex-center w-full temp">
          <span>凭据存储</span>
          <span style="color: #179DF5">清除凭据</span>
        </div>
        <div class="flex flex-column w-full temp">
          <span>受信任的凭据</span>
          <span class="xiaozi">显示信任的CA证书</span>
        </div>
        <div class="flex flex-column w-full temp">
          <span>从存储设备安装</span>
          <span class="xiaozi">从存储设音安装证书</span>
        </div>
      </template>
    </MainDialog>

    <MainDialog
      @close="e => permissionState = e"
      :dialogVisible="permissionState"
      @changeVisble="e => permissionState = e"
      title="权限"
      is-close
      class="permission-dialog"
      :width="1191"
    >
      <template #right>
        <Select :options="['应用', '权限']" :selected-index="0" background="#D8D8D8" />
      </template>
      <template #content>
        <div class="temp"></div>
        <img src="../../assets/images/setting/app/img_3.webp" alt="" />
      </template>
    </MainDialog>

    <MainDialog
      :dialogVisible="selfState"
      title="选择禁止后台启动项"
      is-close
      class="self-dialog"
      :width="861"
      @close="e => selfState = e"
      @changeVisble="e => selfState = e"
    >
      <template #content>
        <img src="../../assets/images/setting/app/img_4.webp" alt="" />
      </template>
    </MainDialog>

    <MainDialog
      @close="e => accessibiState = e"
      :dialogVisible="accessibiState"
      @changeVisble="e => accessibiState = e"
      title="辅助功能"
      is-close
      class="accessibi-dialog"
      :width="909"
    >
      <template #content>
        <div class="text w-full">请确保需要设置服务的应用已打开</div>

        <div class="flex flex-jcs w-full temp">
          <span>百度输入法</span>

          <div class="flex flex-center">
            <u-switch :value="false" />
            <svg-icon icon-class="setting_tips" />
          </div>
        </div>
        <div class="flex flex-jcs w-full temp">
          <span>搜狗输入法</span>

          <div class="flex flex-center">
            <u-switch :value="false" />
            <svg-icon icon-class="setting_tips" />
          </div>
        </div>
      </template>
    </MainDialog>

    <MainDialog
        @close="e => notifyState = e"
        :dialogVisible="notifyState"
        @changeVisble="e => notifyState = e"
        title="通知"
        is-close
        class="app-dialog"
        :width="910"
    >
      <template #content>
        <img src="../../assets/images/setting/app/img_5.webp" alt="" />
      </template>
    </MainDialog>
  </div>
</template>

<style scoped lang="scss">
.accessibi-dialog {
  ::v-deep .dialog-body {
    display: flex;
    flex-direction: column;
    height: 363px;

    .temp {
      padding: 20px 0;
      font-size: 30px;

      .svg-icon {
        margin-left: 30px;
      }
    }

    .text {
      font-size: 20px;
      margin-bottom: 40px;
    }
  }
}
.self-dialog {
  ::v-deep .dialog-body {
    padding: 0;
    height: 710px;
  }

  img {
    width: 180px;
  }
}

.permission-dialog {
  .select-warp {
    width: 230px;
    height: 60px;
  }
  ::v-deep .dialog-body {
    padding: 0;
    position: relative;

    .temp {
      width: 100%;
      height: 100%;
      position: absolute;
      left: 460px;
      background-color: #fff;
      z-index: -1;
    }
  }

  img {
    width: 100%;
  }
}
.safety-dialog {
  ::v-deep .dialog-body {
    display: flex;
    flex-direction: column;
    padding-bottom: 50px;
    font-size: 30px;

    .xiaozi {
      font-size: 20px;
      color: #9E9E9E;
    }

    .temp {
      padding: 30px 0;
    }
  }
}
.app-dialog {
  ::v-deep .dialog-body {
    padding-bottom: 50px;
  }
  img {
    width: 100%;
  }
}

.custom-body {
  display: flex;
  width: 694px;

  .card-body {
    flex-grow: 1;

    .card-group {
      border-radius: 21px;
      background: #FFFFFF;
      margin-bottom: 15px;
    }
  }

  .right {
    flex-grow: 1;
  }
}

.img-signal {
  width: 788px;
  height: 664px;
  position: absolute;
  right: 90px;
  top: 250px;
}
</style>